{
        "name" : "SlackPostMessageToChannel",
        "displayName" : "SlackPostMessageToChannel",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.slack.PostMessageToChannelWorkitemHandler(\"accessToken\")",
        "documentation" : "slack-workitem/index.html",
        "module" : "slack-workitem",
        "icon" : "SlackPostMessageToChannel.png",
            "category" : "Slack",
            "description" : "Post messages and add reminders using Slack",
            "keywords" : [
                                "slack"
                ,"message"
                ,"send"
                ,"channel"

            ],
                "isaction" : "true",
                "actiontitle" : "Send message to a Slack channel",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "Slack access token"
                                           }

                ],
                "authreferencesite" : "https://api.slack.com/tokens",
            "parameters" : [
                                   {
                                       "name" : "ChannelName",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "Message",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "slack-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}
,{
        "name" : "SlackAddReminder",
        "displayName" : "SlackAddReminder",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.slack.AddReminderWorkitemHandler(\"accessToken\")",
        "documentation" : "slack-workitem/index.html",
        "module" : "slack-workitem",
        "icon" : "SlackAddReminder.png",
            "category" : "Slack",
            "description" : "Post messages and add reminders using Slack",
            "keywords" : [
                                "slack"
                ,"reminder"
                ,"remind"
                ,"send"
                ,"message"

            ],
                "isaction" : "true",
                "actiontitle" : "Add a reminder to Slack",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "Slack access token"
                                           }

                ],
                "authreferencesite" : "https://api.slack.com/tokens",
            "parameters" : [
                                   {
                                       "name" : "ReminderText",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "ReminderTime",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "slack-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}

,
